import * as React from "react"
import { SVGProps } from "react"

const Logo = (props: SVGProps<SVGSVGElement>) => (
  <svg
    width={104}
    height={26}
    fill="none"
    xmlns="http://www.w3.org/2000/svg"
    {...props}
  >
    <path
      d="M28.779 22.604c.138.994-.238 1.943-.92 2.538a2.518 2.518 0 0 1-1.843.625c-.009 0-.018 0-.027-.002a2.776 2.776 0 0 1-1.808-.855c-.756-.804-.735-1.802-.725-2.011 0-.1.004-.198.016-.295h-8.218c.012.097.016.195.016.295.01.209.031 1.207-.725 2.01a2.776 2.776 0 0 1-1.808.856c-.01.002-.018.002-.028.002a2.552 2.552 0 0 1-1.433-.33 2.59 2.59 0 0 1-.41-.293v-.002a2.853 2.853 0 0 1-.919-2.538h-2.96l.06-.22 1.105-4.068.241-.011 2.828-.126a.228.228 0 1 0-.02-.455l-2.682.119-.24.011.4-1.482.234.02 2.271.188h.02a.228.228 0 0 0 .02-.455l-2.189-.181-.233-.02.407-1.5.217.083 2.154.824a.23.23 0 0 0 .297-.13.228.228 0 0 0-.131-.295l-2.2-.843-.216-.082L12.912.802l2.584 7.88c.607-.306 2.024-.932 3.859-.904h.016c1.835-.028 3.251.598 3.86.903.86-2.625 1.72-5.252 2.583-7.878l3.582 13.18-.217.082-2.2.842a.228.228 0 1 0 .167.425l2.154-.824.217-.083.407 1.5-.234.02-2.188.18a.23.23 0 0 0-.21.247.23.23 0 0 0 .229.209h.02l2.271-.188.234-.02.402 1.482-.24-.011-2.684-.119a.228.228 0 1 0-.02.455l2.829.126.241.01 1.105 4.069.06.22h-2.96Z"
      fill="#F4E041"
    />
    <path
      d="m32.038 22.832-.06-.22-.062-.228-1.103-4.058-.24-.01-.24-.011 1.105 4.07h-2.924l.035.26a2.644 2.644 0 0 1-.596 2.089 2.326 2.326 0 0 1-.609.507 2.3 2.3 0 0 1-1.328.308 2.525 2.525 0 0 1-1.668-.785c-.642-.683-.677-1.518-.662-1.855 0-.1.004-.187.013-.27l.03-.254h-8.734l.03.255c.009.082.015.17.015.278.013.328-.022 1.163-.665 1.846a2.526 2.526 0 0 1-1.9.79 2.3 2.3 0 0 1-1.093-.311h-.001a1.926 1.926 0 0 1-.316-.22 2.333 2.333 0 0 1-.294-.289 2.644 2.644 0 0 1-.596-2.09l.035-.259H7.287l1.106-4.07-.242.01-.24.011-1.103 4.058-.062.229-.06.219h3.006c-.076 1.34.702 2.58 1.922 3.01 1.063.377 2.308.064 3.099-.777.76-.81.803-1.792.787-2.166l-.001-.067h7.726v.057c-.017.384.025 1.366.786 2.176.569.604 1.37.935 2.17.935.314 0 .628-.052.929-.158 1.22-.43 1.998-1.67 1.922-3.01h3.006Zm-23.359-6.46-.233-.02-.41 1.512.242-.01.24-.011.395-1.452-.234-.019ZM25.834 0l-.24.73-2.156 6.573-.346 1.057c-.876-.408-2.175-.838-3.721-.81h-.013a8.55 8.55 0 0 0-3.726.81l-.346-1.057c-.718-2.19-1.436-4.381-2.156-6.572L12.89 0 9.113 13.898l.217.084.216.082 3.386-12.462c.639 1.948 1.278 3.895 1.915 5.842l.513 1.56.239-.12c.824-.416 2.149-.908 3.756-.879h.019c1.611-.027 2.927.463 3.751.878l.24.121.512-1.56a6535.81 6535.81 0 0 1 1.916-5.842l3.386 12.461.216-.082.216-.083L25.834 0ZM8.993 14.34l-.425 1.565.233.019.234.02.39-1.437-.216-.083-.216-.083Zm20.738.002-.215.082-.216.083.39 1.436.234-.019.232-.018-.425-1.564Zm.547 2.01-.232.02-.234.02.395 1.45.24.012.24.01-.409-1.511Z"
      fill="#000"
      fillOpacity={0.87}
    />
    <path
      d="M21.187 14.95a.486.486 0 0 1-.49-.485v-2.937c0-.268.22-.485.49-.485s.489.217.489.485v2.937a.487.487 0 0 1-.49.484ZM17.826 14.437a.489.489 0 0 1-.539-.431l-.238-2.217a.486.486 0 0 1 .435-.533.489.489 0 0 1 .538.43l.239 2.217a.486.486 0 0 1-.435.534ZM11.875 15.201a.23.23 0 0 1-.297.13l-2.155-.824-.216-.083-.216-.083-3.131-1.199a.227.227 0 0 1-.132-.295.231.231 0 0 1 .298-.13l3.085 1.181.217.083.216.082 2.2.843a.227.227 0 0 1 .13.295ZM11.43 16.37a.229.229 0 0 1-.229.21h-.02l-2.27-.189-.234-.019-.233-.02-3.371-.279a.227.227 0 1 1 .039-.453l3.454.285.233.019.234.02 2.188.18c.127.01.22.122.21.247ZM11.44 17.942a.228.228 0 0 1-.22.237l-2.829.126-.241.011-.24.01-2.815.126h-.01a.228.228 0 0 1-.01-.456l2.96-.131.241-.01.24-.012 2.683-.119a.227.227 0 0 1 .24.218ZM32.862 13.142l-3.132 1.2-.215.082-.217.083-2.154.824a.232.232 0 0 1-.298-.13.228.228 0 0 1 .132-.295l2.2-.843.216-.082.215-.083 3.087-1.18a.232.232 0 0 1 .298.13.229.229 0 0 1-.132.294ZM33.857 15.827a.23.23 0 0 1-.21.246l-3.372.28-.232.02-.234.019-2.272.188h-.02a.23.23 0 0 1-.229-.209.23.23 0 0 1 .211-.246l2.188-.181.234-.02.232-.018 3.455-.286a.228.228 0 0 1 .249.207ZM33.865 18.234a.23.23 0 0 1-.23.218h-.01l-2.814-.126-.24-.01-.242-.011-2.829-.126a.229.229 0 0 1-.22-.237.228.228 0 0 1 .241-.218l2.683.119.24.011.241.01 2.96.131a.228.228 0 0 1 .22.239Z"
      fill="#000"
      fillOpacity={0.87}
    />
    <path
      d="M25.92 23.58a3.343 3.343 0 0 1 .094 1.96l-.093-1.96Z"
      fill="#fff"
    />
    <path
      d="M26.015 25.767a.227.227 0 0 1-.223-.283 3.158 3.158 0 0 0-.088-1.83.227.227 0 0 1 .142-.289.23.23 0 0 1 .293.142 3.61 3.61 0 0 1 .1 2.088.232.232 0 0 1-.223.172Z"
      fill="#000"
      fillOpacity={0.87}
    />
    <path
      d="M27.422 23.49c.14.224.264.497.302.81.046.37-.037.69-.152.945l-.15-1.756Z"
      fill="#fff"
    />
    <path
      d="M27.572 25.472a.227.227 0 0 1-.21-.32c.121-.274.165-.551.131-.825a1.78 1.78 0 0 0-.268-.72.226.226 0 0 1 .075-.313.231.231 0 0 1 .317.074c.184.295.295.599.333.905.044.355-.012.713-.168 1.063a.229.229 0 0 1-.21.136Z"
      fill="#000"
      fillOpacity={0.87}
    />
    <path
      d="M12.803 23.58c-.088.25-.164.556-.188.906-.03.412.023.77.094 1.053l.094-1.96Z"
      fill="#fff"
    />
    <path
      d="M12.707 25.767a.23.23 0 0 1-.223-.173 3.607 3.607 0 0 1 .1-2.089.231.231 0 0 1 .292-.141c.12.041.184.171.143.29a3.158 3.158 0 0 0-.089 1.83.228.228 0 0 1-.168.275.186.186 0 0 1-.055.008Z"
      fill="#000"
      fillOpacity={0.87}
    />
    <path
      d="M11.302 23.49a1.983 1.983 0 0 0-.302.81c-.046.37.037.69.152.945l.15-1.756Z"
      fill="#fff"
    />
    <path
      d="M11.15 25.472a.231.231 0 0 1-.21-.136 1.978 1.978 0 0 1-.168-1.063c.038-.306.15-.61.334-.905a.231.231 0 0 1 .316-.074.226.226 0 0 1 .075.314c-.148.237-.238.48-.268.72-.033.273.01.55.132.823a.227.227 0 0 1-.21.32ZM8.355 22.799H.245c-.135 0-.245-.088-.245-.194 0-.107.11-.195.245-.195h8.11c.135 0 .245.088.245.195 0 .106-.11.194-.245.194ZM37.885 22.84H30.26a.23.23 0 0 1-.23-.229.23.23 0 0 1 .23-.227h7.625a.23.23 0 0 1 .23.227.229.229 0 0 1-.23.229ZM21.704 18.644c-.165.427-.549.888-1.035.958-.45.063-.865-.176-1.163-.546-.029.078-.064.16-.11.24-.075.133-.477.787-1.147.787h-.018c-.638-.011-1.191-.587-1.288-1.34a.228.228 0 0 1 .2-.255.23.23 0 0 1 .257.197c.074.582.485.936.839.942h.01c.422 0 .713-.496.745-.553a1.19 1.19 0 0 0 .127-.763l-.03-.105c-.442.05-.824-.103-.895-.384-.079-.319.277-.681.796-.809.52-.128 1.006.027 1.085.347.067.263-.162.555-.535.721.011.042.022.093.03.147.187.614.664.973 1.032.922.286-.04.554-.368.67-.669.099-.255.085-.496.056-.652a.23.23 0 0 1 .454-.082c.04.215.057.543-.08.897ZM43.807 18.588c-.393 0-.59-.108-.59-.325V9.335h-2.833c-.098 0-.172-.034-.221-.103-.05-.07-.074-.183-.074-.34v-.237c0-.157.025-.27.074-.34.049-.069.123-.103.221-.103h6.92c.108 0 .182.034.221.103.05.07.074.183.074.34v.237c0 .157-.025.27-.074.34-.04.069-.113.103-.221.103h-2.789v8.928c0 .217-.197.325-.59.325h-.118Zm5.973-.03c-.157 0-.27-.034-.34-.103-.068-.069-.102-.182-.102-.34v-9.46c0-.157.034-.27.103-.34.069-.069.182-.103.34-.103h5.148c.109 0 .182.034.222.103.049.07.074.183.074.34v.237c0 .157-.025.27-.074.34-.04.069-.113.103-.222.103h-4.293v3.37h3.85c.109 0 .183.035.222.104.05.069.074.182.074.34v.236c0 .158-.025.271-.074.34-.04.069-.113.104-.221.104h-3.851v3.606h4.308c.108 0 .182.035.221.104.05.069.074.182.074.34v.236c0 .158-.024.271-.073.34-.04.069-.114.103-.222.103H49.78Zm9.766.09c-.59 0-1.136-.07-1.638-.208-.501-.138-.88-.305-1.136-.502-.187-.138-.28-.261-.28-.37 0-.118.064-.28.192-.488.137-.207.246-.31.324-.31.04 0 .143.05.31.148.305.167.63.31.974.428.354.119.772.178 1.254.178.57 0 1.033-.158 1.387-.473.364-.325.546-.75.546-1.271 0-.365-.098-.665-.295-.902a2.064 2.064 0 0 0-.723-.576 11.687 11.687 0 0 0-1.21-.533 11.76 11.76 0 0 1-1.357-.62 2.445 2.445 0 0 1-.856-.828c-.236-.375-.354-.862-.354-1.463 0-.533.133-1.006.398-1.42a2.703 2.703 0 0 1 1.151-.96c.502-.237 1.077-.355 1.726-.355.335 0 .708.05 1.122.148.413.089.732.212.959.37.196.118.295.246.295.384 0 .108-.064.266-.192.473-.118.207-.212.31-.28.31a.565.565 0 0 1-.222-.074 3.108 3.108 0 0 1-.177-.103 3.28 3.28 0 0 0-1.534-.385c-.57 0-1.033.148-1.387.444-.344.295-.517.704-.517 1.227 0 .335.084.606.251.813.177.207.374.364.59.473.227.098.615.256 1.166.473.59.226 1.072.448 1.446.665.374.207.688.512.944.916.266.394.399.902.399 1.523 0 .886-.295 1.586-.886 2.098-.59.513-1.386.77-2.39.77Zm7.79-.06c-.393 0-.59-.108-.59-.325V9.335h-2.832c-.099 0-.173-.034-.222-.103-.05-.07-.074-.183-.074-.34v-.237c0-.157.025-.27.074-.34.05-.069.123-.103.221-.103h6.92c.109 0 .182.034.222.103.049.07.073.183.073.34v.237c0 .157-.024.27-.073.34-.04.069-.113.103-.222.103h-2.788v8.928c0 .217-.197.325-.59.325h-.118Zm8.098 0c-.393 0-.59-.108-.59-.325V9.335h-2.833c-.098 0-.172-.034-.221-.103-.05-.07-.074-.183-.074-.34v-.237c0-.157.025-.27.074-.34.05-.069.123-.103.221-.103h6.92c.108 0 .182.034.221.103.05.07.074.183.074.34v.237c0 .157-.024.27-.074.34-.039.069-.113.103-.221.103h-2.789v8.928c0 .217-.196.325-.59.325h-.118Zm4.305 0c-.422 0-.634-.084-.634-.251a.71.71 0 0 1 .044-.207l3.497-9.711c.06-.158.256-.237.59-.237h.428c.354 0 .551.079.59.237l3.497 9.726c.03.069.044.133.044.192 0 .167-.211.251-.634.251h-.118c-.344 0-.54-.079-.59-.236l-.87-2.425h-4.339l-.84 2.425c-.05.157-.246.236-.59.236h-.075Zm5.445-3.784-1.55-4.405a7.479 7.479 0 0 1-.176-.857h-.03c-.079.394-.152.68-.221.857l-1.55 4.405h3.527Zm6.393 3.843c-.59 0-1.136-.069-1.638-.207-.501-.138-.88-.305-1.136-.502-.187-.138-.28-.261-.28-.37 0-.118.064-.28.192-.488.137-.207.245-.31.324-.31.04 0 .143.05.31.148.305.167.63.31.974.428.354.119.772.178 1.254.178.57 0 1.033-.158 1.387-.473.364-.325.546-.75.546-1.271 0-.365-.099-.665-.295-.902a2.065 2.065 0 0 0-.723-.576 11.678 11.678 0 0 0-1.21-.533 11.782 11.782 0 0 1-1.358-.62 2.446 2.446 0 0 1-.855-.828c-.237-.375-.355-.862-.355-1.463 0-.533.133-1.006.399-1.42a2.703 2.703 0 0 1 1.15-.96c.502-.237 1.078-.355 1.727-.355.334 0 .708.05 1.121.148.413.089.733.212.96.37.196.118.294.246.294.384 0 .108-.063.266-.191.473-.118.207-.212.31-.28.31a.565.565 0 0 1-.222-.074 3.108 3.108 0 0 1-.177-.103 3.28 3.28 0 0 0-1.535-.385c-.57 0-1.032.148-1.386.444-.345.295-.517.704-.517 1.227 0 .335.084.606.251.813.177.207.374.364.59.473.226.098.615.256 1.166.473.59.226 1.072.448 1.446.665.373.207.688.512.944.916.266.394.398.902.398 1.523 0 .886-.295 1.586-.885 2.098-.59.513-1.387.77-2.39.77Zm5.798-.059c-.393 0-.59-.108-.59-.325V8.507c0-.216.197-.325.59-.325h.118c.394 0 .59.109.59.325v4.523h.06l3.629-4.64c.108-.139.374-.208.797-.208h.148c.167 0 .295.02.383.06.089.029.133.073.133.132 0 .089-.049.188-.148.296l-3.688 4.612 4.47 4.863c.089.098.133.177.133.236 0 .079-.049.133-.147.163-.099.03-.266.044-.502.044h-.177c-.216 0-.389-.01-.516-.03a.495.495 0 0 1-.296-.162l-4.22-4.76h-.058v4.627c0 .217-.197.325-.59.325h-.119Z"
      fill="#000"
      fillOpacity={0.87}
    />
  </svg>
)

export default Logo
